net.corda.client.jfx.model

## Class Diff<T extends ContractState>

- net.corda.client.jfx.model.Diff<T>

-     public class Diff<T extends ContractState>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Diff(java.util.Collection<? extends net.corda.core.contracts.StateAndRef<? extends T>> added, java.util.Collection<? extends net.corda.core.contracts.StateAndRef<? extends T>> removed)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<net.corda.core.contracts.StateAndRef>` | `component1()`
    `java.util.Collection<net.corda.core.contracts.StateAndRef>` | `component2()`
    `Diff<T>` | `copy(java.util.Collection<? extends net.corda.core.contracts.StateAndRef<? extends T>> added, java.util.Collection<? extends net.corda.core.contracts.StateAndRef<? extends T>> removed)`
    `boolean` | `equals(java.lang.Object p)`
    `java.util.Collection<net.corda.core.contracts.StateAndRef>` | `getAdded()`
    `java.util.Collection<net.corda.core.contracts.StateAndRef>` | `getRemoved()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Diff

          public Diff(java.util.Collection<? extends net.corda.core.contracts.StateAndRef<? extends T>> added,
                      java.util.Collection<? extends net.corda.core.contracts.StateAndRef<? extends T>> removed)

  - ### Method Detail

    - #### getAdded

          public java.util.Collection<net.corda.core.contracts.StateAndRef> getAdded()

    - #### getRemoved

          public java.util.Collection<net.corda.core.contracts.StateAndRef> getRemoved()

    - #### component1

          public java.util.Collection<net.corda.core.contracts.StateAndRef> component1()

    - #### component2

          public java.util.Collection<net.corda.core.contracts.StateAndRef> component2()

    - #### copy

          public Diff<T> copy(java.util.Collection<? extends net.corda.core.contracts.StateAndRef<? extends T>> added,
                              java.util.Collection<? extends net.corda.core.contracts.StateAndRef<? extends T>> removed)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)